Announcement Announcement Module
Collapse
No announcement yet.
[neo4j] Problems with geospatial Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • [neo4j] Problems with geospatial

    I'm using neo4j spatial index, this is my pom.xml
    Code:
    		<dependency>
    			<groupId>org.neo4j</groupId>
    			<artifactId>neo4j-cypher-dsl</artifactId>
    			<version>1.6</version>
    		</dependency>
    		<dependency>
    			<groupId>org.neo4j</groupId>
    			<artifactId>neo4j-spatial</artifactId>
    			<version>0.6</version>
    		</dependency>		
    		<dependency>
    			<groupId>org.springframework.data</groupId>
    			<artifactId>spring-data-neo4j</artifactId>
    			<version>2.0.1.RELEASE</version>
    		</dependency>
    I keep getting an error "GeometryNode Not indexed with RTree". Is it the problem about the mismatch version of my library? I haven't got any clue how to fix this error.

    This is how I declare my node entity.

    Code:
    	@Indexed(indexType = IndexType.POINT, indexName = "landmarkLayer")
    	String wkt;
    
    	public void setLocation(float lon, float lat) {
    		this.wkt = String.format("POINT( %.2f %.2f )", lon, lat);
    	}
    What's wrong? Thanks so much for your help

  • #2
    cmmadnat,

    A quick thing to try might be to use a later version of Neo4j Spatial. 0.8 is a stable release, and there is even a 0.9-SNAPSHOT.

    Regards,

    Lasse

    Comment

    Working...
    X